aboutsummaryrefslogtreecommitdiff
path: root/cairo/cairo.SlackBuild
diff options
context:
space:
mode:
authorrhatto <rhatto@370017ae-e619-0410-ac65-c121f96126d4>2006-10-18 16:50:47 +0000
committerrhatto <rhatto@370017ae-e619-0410-ac65-c121f96126d4>2006-10-18 16:50:47 +0000
commit290cc1bb2bc633183e165b64d72e7ac449920068 (patch)
tree59bf22a59e0493476a0f532439fd882d82927172 /cairo/cairo.SlackBuild
parent93fa70126cc8e1732d56bcb5be28da42b9319d82 (diff)
downloadslackbuilds-290cc1bb2bc633183e165b64d72e7ac449920068.tar.gz
slackbuilds-290cc1bb2bc633183e165b64d72e7ac449920068.tar.bz2
lots of changes
git-svn-id: svn+slack://slack.fluxo.info/var/svn/slackbuilds@430 370017ae-e619-0410-ac65-c121f96126d4
Diffstat (limited to 'cairo/cairo.SlackBuild')
-rwxr-xr-xcairo/cairo.SlackBuild5
1 files changed, 3 insertions, 2 deletions
diff --git a/cairo/cairo.SlackBuild b/cairo/cairo.SlackBuild
index d2366f80..c1f14ec7 100755
--- a/cairo/cairo.SlackBuild
+++ b/cairo/cairo.SlackBuild
@@ -45,7 +45,8 @@ fi
# ------- error codes for createpkg --------------
ERROR_WGET=31; ERROR_MAKE=32; ERROR_INSTALL=33
ERROR_MD5=34; ERROR_CONF=35; ERROR_HELP=36
-ERROR_TAR=37; ERROR_MKPKG=38
+ERROR_TAR=37; ERROR_MKPKG=38; ERROR_GPG=39
+ERROR_PATCH=40
RTOOL="wget"
PACKAGE_EXT="gz"
@@ -68,7 +69,7 @@ tar xvf $SRC_DIR/$SRC || exit $ERROR_TAR
cd $PACKAGE-$VERSION
if [ -f "$CWD/$PACKAGE-$VERSION.diff" ]; then
- patch -p1 < $CWD/$PACKAGE-$VERSION.diff
+ patch -p1 < $CWD/$PACKAGE-$VERSION.diff || exit $ERROR_PATCH
fi
./configure --prefix=/usr --sysconfdir=/etc --libdir=$LIBDIR || exit $ERROR_CONF